> For the complete documentation index, see [llms.txt](https://docs.getuntitled.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.getuntitled.ai/api-documentation/auth.md).

# Auth

## Verify API Key

> Validates your API key and returns the identity it authenticates as, along with\
> your current rate limits. Use this to confirm your connection and credentials are\
> working. This call does not count against your daily quota.

```json
{"openapi":"3.1.0","info":{"title":"Untitled API","version":"1.11.13"},"servers":[{"url":"https://api.getuntitled.ai","description":"Production"}],"security":[{"Bearer":[]}],"components":{"securitySchemes":{"Bearer":{"type":"http","description":"Bearer token for authentication","scheme":"bearer"}},"schemas":{"VerifyResponse":{"properties":{"client_id":{"type":"string","title":"Client Id","description":"Your Untitled workspace identifier"},"user":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"User","description":"Email of the user this API key belongs to"},"scopes":{"items":{"type":"string"},"type":"array","title":"Scopes","description":"Scopes granted to this API key"},"rates":{"$ref":"#/components/schemas/RateInfo","description":"Your current daily quota (this call does not count against it)"},"agency":{"anyOf":[{"type":"string"},{"type":"null"}],"title":"Agency","description":"Your agency name (omitted for workspaces that belong directly to Untitled)"}},"type":"object","required":["client_id","rates"],"title":"VerifyResponse","description":"Confirms an API key is valid and echoes the identity it authenticates as."},"RateInfo":{"properties":{"limit":{"type":"integer","title":"Limit"},"remaining":{"type":"integer","title":"Remaining"},"resets_at":{"type":"string","format":"date-time","title":"Resets At"}},"type":"object","required":["limit","remaining","resets_at"],"title":"RateInfo"}}},"paths":{"/auth/verify":{"get":{"tags":["Auth"],"summary":"Verify API Key","description":"Validates your API key and returns the identity it authenticates as, along with\nyour current rate limits. Use this to confirm your connection and credentials are\nworking. This call does not count against your daily quota.","operationId":"verify_auth_verify_get","responses":{"200":{"description":"Successful Response","content":{"application/json":{"schema":{"$ref":"#/components/schemas/VerifyResponse"}}}}}}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.getuntitled.ai/api-documentation/auth.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
